## gdb 7.7.1

=== gdb/features/Makefile ===
# Copyright (C) 2007-2014 Free Software Foundation, Inc.

# This file is part of GDB.

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


# This file requires GNU make!

# This Makefile updates files in ../regformats from their XML master
# copies.  Because this relies on xsltproc, it is not normally run
# during the build process; it should be run by hand when one of the
# affected XML files is changed, and the results should be kept in the
# GDB repository.

# It can also update the C files in the features directory from their
# XML master copies.  This relies on a GDB linked with expat and
# configured for the correct architecture, so the files are again kept
# in the GDB repository.  To generate C files:
#   make GDB=/path/to/gdb XMLTOC="xml files" cfiles

WHICH = aarch64 \
	arm-with-iwmmxt arm-with-vfpv2 arm-with-vfpv3 arm-with-neon \
	arm-with-m arm-with-m-fpa-layout arm-with-m-vfp-d16 \
	i386/i386 i386/i386-linux \
	i386/i386-mmx i386/i386-mmx-linux \
	i386/amd64 i386/amd64-linux \
	i386/i386-avx i386/i386-avx-linux \
	i386/i386-mpx i386/i386-mpx-linux \
	i386/amd64-avx i386/amd64-avx-linux \
	i386/amd64-mpx i386/amd64-mpx-linux \
	i386/x32 i386/x32-linux \
	i386/x32-avx i386/x32-avx-linux \
	mips-linux mips-dsp-linux \
	mips64-linux mips64-dsp-linux \
	nios2-linux \
	rs6000/powerpc-32 \
	rs6000/powerpc-32l rs6000/powerpc-altivec32l rs6000/powerpc-e500l \
	rs6000/powerpc-64l rs6000/powerpc-altivec64l rs6000/powerpc-vsx32l \
	rs6000/powerpc-vsx64l rs6000/powerpc-cell32l rs6000/powerpc-cell64l \
	s390-linux32 s390-linux64 s390x-linux64 \
	s390-linux32v1 s390-linux64v1 s390x-linux64v1 \
	s390-linux32v2 s390-linux64v2 s390x-linux64v2 \
	s390-te-linux64 s390x-te-linux64 \
	tic6x-c64xp tic6x-c64x tic6x-c62x \
	tic6x-c64xp-linux tic6x-c64x-linux tic6x-c62x-linux

# Record which registers should be sent to GDB by default after stop.
aarch64-expedite = x29,sp,pc
arm-expedite = r11,sp,pc
i386/i386-expedite = ebp,esp,eip
i386/i386-linux-expedite = ebp,esp,eip
i386/amd64-expedite = rbp,rsp,rip
i386/amd64-linux-expedite = rbp,rsp,rip
i386/i386-avx-expedite = ebp,esp,eip
i386/i386-avx-linux-expedite = ebp,esp,eip
i386/i386-mpx-expedite = ebp,esp,eip
i386/i386-mpx-linux-expedite = ebp,esp,eip
i386/i386-mmx-expedite = ebp,esp,eip
i386/i386-mmx-linux-expedite = ebp,esp,eip
i386/amd64-avx-expedite = rbp,rsp,rip
i386/amd64-avx-linux-expedite = rbp,rsp,rip
i386/amd64-mpx-expedite = rbp,rsp,rip
i386/amd64-mpx-linux-expedite = rbp,rsp,rip
i386/x32-expedite = rbp,rsp,rip
i386/x32-linux-expedite = rbp,rsp,rip
i386/x32-avx-expedite = rbp,rsp,rip
i386/x32-avx-linux-expedite = rbp,rsp,rip
mips-expedite = r29,pc
mips-dsp-expedite = r29,pc
mips64-expedite = r29,pc
mips64-dsp-expedite = r29,pc
nios2-linux-expedite = sp,pc
powerpc-expedite = r1,pc
rs6000/powerpc-cell32l-expedite = r1,pc,r0,orig_r3,r4
rs6000/powerpc-cell64l-expedite = r1,pc,r0,orig_r3,r4
s390-linux32-expedite = r14,r15,pswa
s390-linux32v1-expedite = r14,r15,pswa
s390-linux32v2-expedite = r14,r15,pswa
s390-linux64-expedite = r14l,r15l,pswa
s390-linux64v1-expedite = r14l,r15l,pswa
s390-linux64v2-expedite = r14l,r15l,pswa
s390-te-linux64-expedite = r14,r15,pswa
s390x-linux64-expedite = r14,r15,pswa
s390x-linux64v1-expedite = r14,r15,pswa
s390x-linux64v2-expedite = r14,r15,pswa
s390x-te-linux64-expedite = r14,r15,pswa
tic6x-c64xp-expedite = A15,PC
tic6x-c64x-expedite = A15,PC
tic6x-c62x-expedite = A15,PC
tic6x-c64xp-linux-expedite = A15,PC
tic6x-c64x-linux-expedite = A15,PC
tic6x-c62x-linux-expedite = A15,PC


XSLTPROC = xsltproc
outdir = ../regformats
OUTPUTS = $(patsubst %,$(outdir)/%.dat,$(WHICH))

XMLTOC =
CFILES = $(patsubst %.xml,%.c,$(XMLTOC))
GDB = false

all: $(OUTPUTS)

$(outdir)/%.dat: %.xml number-regs.xsl sort-regs.xsl gdbserver-regs.xsl
	echo "# DO NOT EDIT: generated from $<" > $(outdir)/$*.tmp
	echo "name:`echo $(notdir $*) | sed 's/-/_/g'`" >> $(outdir)/$*.tmp
	echo "xmltarget:$(<F)" >> $(outdir)/$*.tmp
	echo "expedite:$(if $($*-expedite),$($*-expedite),$($(firstword $(subst -, ,$(notdir $*)))-expedite))" \
	  >> $(outdir)/$*.tmp
	$(XSLTPROC) --path "$(PWD)" --xinclude number-regs.xsl $< | \
	  $(XSLTPROC) sort-regs.xsl - | \
	  $(XSLTPROC) gdbserver-regs.xsl - >> $(outdir)/$*.tmp
	sh ../../move-if-change $(outdir)/$*.tmp $(outdir)/$*.dat

cfiles: $(CFILES)
%.c: %.xml
	$(GDB) -nx -q -batch \
	  -ex "set tdesc filename $<" -ex 'maint print c-tdesc' > $@.tmp
	sh ../../move-if-change $@.tmp $@

# Other dependencies.
$(outdir)/arm-with-iwmmxt.dat: arm-core.xml xscale-iwmmxt.xml
$(outdir)/i386/i386.dat: i386/32bit-core.xml i386/32bit-sse.xml
$(outdir)/i386/i386-linux.dat: i386/32bit-core.xml i386/32bit-sse.xml \
			       i386/32bit-linux.xml
$(outdir)/i386/amd64.dat: i386/64bit-core.xml i386/64bit-sse.xml
$(outdir)/i386/amd64-linux.dat: i386/64bit-core.xml i386/64bit-sse.xml \
			        i386/64bit-linux.xml
$(outdir)/i386/i386-avx.dat: i386/32bit-core.xml i386/32bit-avx.xml
$(outdir)/i386/i386-avx-linux.dat: i386/32bit-core.xml i386/32bit-avx.xml \
			       i386/32bit-linux.xml
$(outdir)/i386/i386-mpx.dat: i386/32bit-core.xml i386/32bit-avx.xml \
			       i386/32bit-mpx.xml
$(outdir)/i386/i386-mpx-linux.dat: i386/32bit-core.xml 	i386/32bit-avx.xml \
			       i386/32bit-linux.xml i386/32bit-mpx.xml
$(outdir)/i386/i386-mmx.dat: i386/32bit-core.xml 
$(outdir)/i386/i386-mmx-linux.dat: i386/32bit-core.xml i386/32bit-linux.xml
$(outdir)/i386/amd64-avx.dat: i386/64bit-core.xml i386/64bit-avx.xml
$(outdir)/i386/amd64-avx-linux.dat: i386/64bit-core.xml i386/64bit-avx.xml \
				    i386/64bit-linux.xml
$(outdir)/i386/amd64-mpx-linux.dat: i386/64bit-core.xml i386/64bit-avx.xml \
			       i386/64bit-linux.xml i386/64bit-mpx.xml
$(outdir)/i386/amd64-mpx.dat: i386/64bit-core.xml i386/64bit-avx.xml \
			       i386/64bit-mpx.xml
$(outdir)/i386/x32.dat: i386/x32-core.xml i386/64bit-sse.xml
$(outdir)/i386/x32-linux.dat: i386/x32-core.xml i386/64bit-sse.xml \
			      i386/64bit-linux.xml
$(outdir)/i386/x32-avx.dat: i386/x32-core.xml i386/64bit-avx.xml
$(outdir)/i386/x32-avx-linux.dat: i386/x32-core.xml i386/64bit-avx.xml \
				  i386/64bit-linux.xml

=== gdb/testsuite/gdb.perf/Makefile ===

srcdir = .

.PHONY: all clean mostlyclean distclean realclean

PROGS = 

all info install-info dvi install uninstall installcheck check:
	@echo "Nothing to be done for $@..."

clean mostlyclean:
	-rm -f *.o *.diff *~ core $(PROGS)

distclean maintainer-clean realclean: clean
	-rm -f Makefile config.status config.log gdb.log gdb.sum

=== debian/changelog ===
gdb (7.7.1-2) unstable; urgency=medium

  [ Samuel Bronson ]
  * Don't require Java stuff just to gather test results we don't look at.
  * Disable babeltrace; it doesn't build everywhere.
    Thanks to Julien Cristau for the heads up.
  * Go back to python2; it's causing people trouble and doko never
    actually explained the need.
    Thanks to Ben Longbons for the report and Jakub Wilk for corroborating it.
    (Closes: #748711, Reopens: #727003)

 -- Hector Oron <zumbi@debian.org>  Wed, 18 Jun 2014 01:42:25 +0200

gdb (7.7.1-1) unstable; urgency=medium

  [ Samuel Bronson ]
  * Switch to .xz for our ".orig" tarballs
  * Imported Upstream version 7.7
    - GDB 7.7 brings new targets, features and improvements, including:
      * C++:
        ** GDB now implements the 'typeid' operator.
        ** Exception Catchpoints can now filter by type.
      * Python scripting:
        ** Frame filters and frame decorators have been added.
        ** Temporary breakpoints are now supported.
        ** Line tables representation has been added.
        ** New attribute 'parent_type' for gdb.Field objects.
        ** gdb.Field objects can be used as subscripts on gdb.Value objects.
        ** New attribute 'name' for gdb.Type objects.
      * New commands:
        ** show configuration
        ** catch rethrow
        ** info exceptions [REGEXP]
        ** remove-symbol-file [FILENAME | -a ADDRESS]
        ** maint check-psymtabs
        ** maint check-symtabs
        ** maint expand-symtabs
        ** maint set|show per-command [space | time | symtab]
      * New options:
        ** set|show debug symfile off|on
        ** set|show print raw frame-arguments
        ** set|show remote trace-status-packet
        ** set|show debug nios2
        ** set|show range-stepping
        ** set|show startup-with-shell
        ** set|show code-cache
        For all options that interpret 0 or -1 as meaning "unlimited",
        the literal 'unlimited' can ot be used.
      * New convenience variables/functions:
        ** $_exception
        ** $_exitsignal
        ** $_isvoid
      * GDB/MI:
        ** All MI commands now accept an optional "--language" option.
        ** "undefined-command" error code provided in "^error" result
           records when trying to run a non-existing command.
        ** New commands -catch-assert and -catch-exceptions
        ** New command -info-ada-exceptions
        ** New command -info-gdb-mi-command
        ** New command -dprintf-insert
        ** New command -trace-frame-collected
        ** -trace-save CTF (Common Trace Format) support.
        ** -data-list-register-values, -stack-list-locals, -stack-list-arguments
           and -stack-list-variables optional "--skip-unavailable" option.
        ** -exec-run optional "--start" option.
      * Remote Protocol:
        ** Target-assigned range stepping support.
           GDBserver implements this feature on x86/x86_64 GNU/Linux targets.
        ** vCont new 'r' action.
        ** qXfer:libraries-svr4:read's annex used to pass argument list.
      * New target configurations:
        ** Nios II ELF                     nios2*-*-elf
        ** Nios II GNU/Linux               nios2*-*-linux
        ** Texas Instruments MSP430        msp430*-*-elf
      * GDB Windows x64 unwinding data support.
      * SystemTap SDT probes support on AArch64 GNU/Linux.
      * The 'tsave' command now supports CTF (Common Trace Format).
      * New script gcore, installed in $prefix/bin
      * New script contrib/gdb-add-index.sh for adding .gdb_index sections
        to binaries.
      * Improve arm*-linux record/replay support.
      * Removed support for a.out NetBSD and OpenBSD obsolete configurations.
        ELF variants of these configurations are kept supported.
      * The "set|show remotebaud" commands are deprecated. Use "show|show serial
        baud" instead.
    - For a complete list and more details on each item, please see the
      NEWS file.
  * Update patches for new upstream version:
    - Drop man-page-args.patch and man-page-order.patch:
      Manpages are dead to us now (not DFSG free), and the source is in
      texinfo now anyway.
    - Drop upstream-arm-catch-syscall.patch and
      upstream-print_insn_rl78-workaround.patch:
      Already applied upstream.
    - Update linuxthreads_signal_handling.patch and
      gdb-6.5-bz185337-resolve-tls-without-debuginfo-v2.patch
  * d/gdb-minimal.manpages: Remove because manpages are dead to us
  * d/rules:
    - Update for the new release.
      * Don't expect all tests to pass, they never do.
        ("make check" finally stopped lying?)
      * Adjust for "gcore" getting its source renamed and getting installed
    - Other improvements
      * Install contrib/ in /usr/share/doc/gdb/
      * Carry over more configure flags to secondary packages, so
        e.g. gdb-multiarch can find it's message catalogs
    - Nitpicks:
      * Replace a $(findstring ...) call with $(filter ...)
        (It's probably not all that likely that DEB_BUILD_OPTIONS would contain
        an item with nocheck as a substring, but still ...)
      * Use --disable-readline; we have our own ...
  * d/control:
    - Update Vcs-Git/Vcs-Browser URLs

  [ Héctor Orón Martínez ]
  * d/control.in, d/rules: add gdb-dbg package.
    (closes: #696197)
  * d/control.in: update Vcs-* references
  * d/control.in: bump standards version, no changes required
  * d/compat, d/control.in: bump dh compat to 9 to get build-id based
    debug info paths
  * d/p/ppc64le.diff: apply upstream patch for ppc64le support
  * d/control.in: add ppc64el architecture
    - Thanks Frédéric Bonnard for report
    (closes: #744204)
  * d/control.in: gdb-minimal provides gdb
    (closes: #588775)
  * d/control.in: gdb recommends gdbserver
    (closes: #675623)
  * Fix gdb: confusing error message "$HOME/pid: No such file or directory"
    (closes: #712671)
  * d/p/gdb-glibc-vdso-workaround.patch:


=== debian/rules ===
#!/usr/bin/make -f

ALL_BUILDDIR := $(shell pwd)/build

DEB_BUILDDIR := $(ALL_BUILDDIR)/objdir
DEB_DH_INSTALL_SOURCEDIR := $(shell pwd)/debian/tmp
DEB_DH_STRIP_ARGS_GDB := --dbg-package=gdb-dbg

# Override CDBS's default CFLAGS, which also includes -Wall; gdb
# does not handle -Wunused well with -Werror, but defaults to
# -Werror.
DEB_WARNING_FLAGS :=

# This implements the .deb package creation using debhelper.
include /usr/share/cdbs/1/rules/debhelper.mk

# This implements building using a configure script and Makefile.
include /usr/share/cdbs/1/class/autotools.mk

# The top-level configure script fails to pass these down properly ...
export CPPFLAGS
export LDFLAGS

# Always install into debian/tmp, even if we are only building one package.
DEB_DESTDIR := $(shell pwd)/debian/tmp

install = /usr/bin/install -p

# Rather paranoid than sorry. Make the shell exit with an error if an
# untested command fails.
SHELL += -e

DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_SYSTEM := $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
DEB_HOST_GNU_CPU := $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
DEB_HOST_GNU_TYPE := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

# Cross configuration support.  Check for an environment variable
# $GDB_TARGET, or a file debian/target.
ifndef GDB_TARGET
DEBIAN_TARGET_FILE := $(strip $(shell cat debian/target 2>/dev/null))
ifneq ($(DEBIAN_TARGET_FILE),)
GDB_TARGET := $(DEBIAN_TARGET_FILE)
endif
endif

DEB_TARGET_ARCH	:= $(shell dpkg-architecture -f \
		     -a$(GDB_TARGET) -qDEB_HOST_ARCH 2>/dev/null)
DEB_TARGET_GNU_TYPE := $(shell dpkg-architecture -f \
			 -a$(DEB_TARGET_ARCH) -qDEB_HOST_GNU_TYPE 2>/dev/null)
DEB_TARGET_ALIAS ?= $(DEB_TARGET_GNU_TYPE)

ifneq ($(GDB_TARGET),)
DEB_CONFIGURE_GDB_DATADIR := "\$${prefix}/share/gdb-$(DEB_TARGET_GNU_TYPE)"
DEB_CONFIGURE_PATH_ARGS += --with-gdb-datadir=$(DEB_CONFIGURE_GDB_DATADIR)
endif

ifeq ($(DEB_TARGET_ARCH),)
$(error GDB_TARGET value "$(GDB_TARGET)" is not a valid Debian architecture)
endif

ifdef GDB_TARGET
  DEB_CROSS = yes
  # TP: Target Prefix. Used primarily as a prefix for cross tool
  #     names (e.g. powerpc-linux-gcc).
  # TS: Target Suffix. Used primarily at the end of cross compiler
  #     package names (e.g. gcc-powerpc).
  TP = $(DEB_TARGET_ALIAS)-
  TS = -$(DEB_TARGET_ALIAS)
  CROSS_FORCE = FORCE
else
ifneq (,$(filter $(DEB_HOST_ARCH),i386 powerpc sparc s390))
  build64 = yes
  CC64 = gcc -m64
  CFLAGS64 = $(CFLAGS)
  BUILDDIR64 = $(ALL_BUILDDIR)/objdir64
  ifeq ($(DEB_HOST_ARCH),i386)
    HOST64 = x86_64-linux-gnu
  endif
  ifeq ($(DEB_HOST_ARCH),powerpc)
    HOST64 = powerpc64-linux-gnu
  endif
  ifeq ($(DEB_HOST_ARCH),sparc)
    HOST64 = sparc64-linux-gnu
  endif
  ifeq ($(DEB_HOST_ARCH),s390)
    HOST64 = s390x-linux-gnu
  endif
endif
endif

distribution := $(shell lsb_release -is)
deb_version := $(shell dpkg-parsechangelog | awk '/^Version:/ {print $$2}')

BUILDDIRMULTIARCH = $(ALL_BUILDDIR)/objdir-multiarch

run_tests := yes

ifneq (,$(filter nocheck, $(DEB_BUILD_OPTIONS)))
  run_tests := no
endif

ifeq (,$(findstring linux, $(DEB_HOST_GNU_SYSTEM)))
  run_tests := no
endif

ifeq ($(DEB_HOST_GNU_CPU),ia64)
  arch_config_args := --with-libunwind-ia64
endif

ifdef GDB_TARGET
  run_tests := no

  arch_config_args += --program-prefix=$(TP) \
    --target=$(DEB_TARGET_ALIAS) --with-sysroot=/usr/$(DEB_TARGET_ALIAS)
else
  # To avoid file conflicts, only enable the global gdbinit file for native
  # debuggers.
  arch_config_args += --with-system-gdbinit=/etc/gdb/gdbinit
endif

INSTALL = $(install)
export INSTALL

# We pass srcdir explicitly to avoid an extra '/.' at the end of it.  That
# causes a harmless, but ugly, testsuite failure in maint.exp.
EXTRA_FLAGS := --disable-gdbtk --disable-shared \
	--with-pkgversion='$(distribution) $(deb_version)' \
	--srcdir=$(shell pwd) \
	--disable-readline --with-system-readline --with-expat \
	--without-zlib --without-lzma \
	--without-guile \
	$(arch_config_args) --build=$(DEB_BUILD_GNU_TYPE)

# Debian does not include 64-bit Python packages, so --with-python
# is here rather than in EXTRA_FLAGS.
DEB_CONFIGURE_EXTRA_FLAGS := --host=$(DEB_HOST_GNU_TYPE) $(EXTRA_FLAGS) \
	--enable-tui --with-python=python2 --without-babeltrace \
	--with-zlib --with-lzma
# --with-babeltrace

# 64-bit flags
DEB_CONFIGURE_FLAGS_64 := --host=$(HOST64) $(EXTRA_FLAGS) \
	--enable-tui

# multiarch targets; this is taken from the binutils-multiarch package but
# doesn't seem like a terribly nice list; see
# <20110117211551.GA7216@bee.dooz.org> for discussion -- locally updated
MULTIARCH_TARGETS := \
	aarch64-linux-gnu \
	alpha-linux-gnu \
	arm-linux-gnu \
	arm-linux-gnueabi \
	arm-linux-gnueabihf \
	hppa-linux-gnu \
	i686-linux-gnu \
	ia64-linux-gnu \
	m68k-linux-gnu \
	m68k-rtems \
	mips-linux-gnu \
	mipsel-linux-gnu \
	mips64-linux-gnu \
	mips64el-linux-gnu \
	powerpc-linux-gnu \
	powerpc-linux-gnuspe \
	ppc64-linux-gnu \
	s390-linux-gnu \
	s390x-linux-gnu \
	sh-linux-gnu \
	sh64-linux-gnu \
	sparc-linux-gnu \
	sparc64-linux-gnu \
	x86_64-linux-gnu \
	m32r-linux-gnu \
	spu

# broken, see https://launchpad.net/bugs/1233185
#MULTIARCH_TARGETS := all
#	--enable-targets=$(MULTIARCH_TARGETS) \
# multiarch flags
DEB_CONFIGURE_FLAGS_MULTIARCH := $(DEB_CONFIGURE_EXTRA_FLAGS) \
	--enable-64-bit-bfd \
	--enable-targets=`set -- $(MULTIARCH_TARGETS); IFS=,; echo "$$*"` \
	--disable-sim

# Minimal flags
DEB_CONFIGURE_FLAGS_MIN := --host=$(DEB_HOST_GNU_TYPE) $(EXTRA_FLAGS) \
	--disable-tui --without-python --without-babeltrace

# Support parallel=<n> in DEB_BUILD_OPTIONS (see #209008)
COMMA = ,
ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
  NJOBS := -j $(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
endif

DEB_MAKE_BUILD_TARGET = $(NJOBS) all

BUILDDIRSOURCE := $(ALL_BUILDDIR)/gdb
BUILDDIRMIN := $(ALL_BUILDDIR)/gdb-minimal

# This should probably be common-post-build-arch, but that runs during
# install, under fakeroot, in CDBS 0.4.21.
build/gdb$(TS):: check-stamp
	$(MAKE) -C $(DEB_BUILDDIR) info
	$(MAKE) -C $(DEB_BUILDDIR)/gdb/doc refcard.dvi refcard.ps

build/gdb64:: build64-stamp
build64-stamp:
	mkdir -p $(BUILDDIR64)
	cd $(BUILDDIR64) && CC="$(CC64)" CFLAGS="$(CFLAGS64)" AR=ar \
	  $(shell pwd)/configure $(DEB_CONFIGURE_NORMAL_ARGS) $(DEB_CONFIGURE_DEBUG_ARGS) $(DEB_CONFIGURE_FLAGS_64)
	cd $(BUILDDIR64) && $(DEB_MAKE_ENVVARS) $(MAKE) $(NJOBS)
	touch $@

build/gdb-multiarch:: build-multiarch-stamp
build-multiarch-stamp:
	mkdir -p $(BUILDDIRMULTIARCH)
	cd $(BUILDDIRMULTIARCH) && CFLAGS="$(CFLAGS)" \
	  $(shell pwd)/configure $(DEB_CONFIGURE_NORMAL_ARGS) $(DEB_CONFIGURE_DEBUG_ARGS) $(DEB_CONFIGURE_FLAGS_MULTIARCH)
	cd $(BUILDDIRMULTIARCH) && $(DEB_MAKE_ENVVARS) $(MAKE) $(NJOBS)
	touch $@

build/gdb-minimal:: build-minimal-stamp
build-minimal-stamp:
	mkdir -p $(BUILDDIRMIN)
	cd $(BUILDDIRMIN) && CFLAGS="$(CFLAGS)" \
	  $(shell pwd)/configure $(DEB_CONFIGURE_NORMAL_ARGS) $(DEB_CONFIGURE_DEBUG_ARGS) $(DEB_CONFIGURE_FLAGS_MIN)
	cd $(BUILDDIRMIN) && $(DEB_MAKE_ENVVARS) $(MAKE) $(NJOBS)
	touch $@

check-stamp:
ifeq ($(run_tests),yes)
	$(MAKE) $(NJOBS) -C $(DEB_BUILDDIR)/gdb check \
	  || echo "**Tests failed, of course.**"
endif
	touch $@

clean::
	rm -f check-stamp build64-stamp build-multiarch-stamp
	rm -rf $(ALL_BUILDDIR)

	if test -f gdb/version.in.backup; then \
	  mv -f gdb/version.in.backup gdb/version.in; \
	fi

#	# For snapshots this is appropriate; careful of release tarballs
#	# which include .gmo files.
#	find -type f -name '*.gmo' | xargs rm -f

	# Prevent gratuitous rebuilds of the BFD documentation, since it
	# updates the copy in the source directory.
	find bfd -name bfd.info\* | xargs --no-run-if-empty touch

binary-post-install/gdb$(TS) ::
	if [ -x debian/tmp/usr/bin/run ]; then				\
		mv debian/tmp/usr/bin/run					\
		  debian/gdb$(TS)/usr/bin/$(DEB_TARGET_ALIAS)-run;		\
		mv debian/tmp/usr/share/man/man1/run.1			\

=== debian/watch ===
# See uscan(1) for format
version=3
opts=pgpsigurlmangle=s/$/.sig/ http://ftp.gnu.org/gnu/gdb/gdb-(.*)\.tar\.bz2

## gdb 7.7.1+dfsg

=== debian/changelog ===
gdb (7.7.1+dfsg-3) unstable; urgency=medium

  * d/p/restore-run.1.patch: Temporary patch to fix sim FTBFS.
    Turns out that without sim/common/run.1, sim fails to build.
    This doesn't have any cover texts or invariant sections,
    so in this patch we simply add it back.
    (It turns out that sim doesn't support x86.)
  * d/sanitize-gdb.sh: In future, only strip manpages from gdb/ subtree.
  * d/NEWS: Add warning about impending switch to Python 3

 -- Samuel Bronson <naesten@gmail.com>  Thu, 14 Aug 2014 18:16:50 -0400

gdb (7.7.1+dfsg-2) unstable; urgency=medium

  * Fix FTBFS on non-x86 trying to install unbuilt libinproctrace.so

 -- Samuel Bronson <naesten@gmail.com>  Tue, 12 Aug 2014 16:21:03 -0400

gdb (7.7.1+dfsg-1) unstable; urgency=medium

  [ Héctor Orón Martínez ]
  * d/changelog: replace nickname by real name in previous block

  [ Gabriele Giacone ]
  * Fix FTBFS on Hurd.
    + Cherry-pick from upstream:
      hurd-new-RPC-reply-stub-functions.patch
      hurd-adapt-to-changed-MIG-output.patch
      hurd-adjust-to-startup-with-shell-changes.patch
      hurd-make-MIG-output-parsing-more-robust.patch
    (Closes: #752574)

  [ Samuel Bronson ]
  * Ship /usr/lib/libinproctrace.so with gdbserver.
    This enables the "agent" features.
  * d/copyright: correct a licensecheck error; add required license texts/blurbs
  * d/gdb.install: Include gcore in gdb package (Closes: #752317).
    Thanks to Lorenzo Beretta for the report.
  * New patch to fix the build on kFreeBSD.
    Thanks to Steven Chamberlain for a fix (Closes: #752390, #752295).
  * d/watch: Update to be more flexible about upstream tarball format.

  Last but not least,
  * Use correct tarball, with non-free upstream manpages stripped.
    Restores DFSG-compliance.

  [ Hector Oron ]
  * Rename upstream tarball to not conflict with the one in archive.

 -- Samuel Bronson <naesten@gmail.com>  Sat, 09 Aug 2014 13:11:35 -0400

=== debian/control ===
Source: gdb
Maintainer: Héctor Orón Martínez <zumbi@debian.org>
Uploaders: Luca Bruno <lucab@debian.org>, Samuel Bronson <naesten@gmail.com>
Section: devel
Priority: optional
Standards-Version: 3.9.5
Build-Depends:
# Packaging deps
               cdbs (>= 0.4.17),
               debhelper (>= 9),
               lsb-release,
               bzip2,
# Other tool deps
               autoconf,
               libtool,
               gettext,
               bison,
               dejagnu,
               flex | flex-old,
               procps,
               g++-multilib [i386 powerpc s390 sparc],
# Do we really care that much about running the Java tests?
#               gcj-jdk | gcj,
               gobjc,
               mig [hurd-any],
# TeX[info] deps
               texinfo (>= 4.7-2.2),
               texlive-base,
# Libdev deps
               libexpat1-dev, lib64expat1-dev [i386 powerpc s390 sparc],
               libncurses5-dev, lib64ncurses5-dev [i386 powerpc s390 sparc],
               libreadline-dev, lib64readline6-dev [i386 powerpc s390 sparc],
               zlib1g-dev,
               liblzma-dev,
# babeltrace doesn't build for hurd yet :-(
#               libbabeltrace-dev,
#               libbabeltrace-ctf-dev,
               python-dev,
               libkvm-dev [kfreebsd-any],
               libunwind7-dev [ia64],
Vcs-Git: git://anonscm.debian.org/pkg-gdb/gdb.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gdb/gdb.git
Homepage: http://www.gnu.org/s/gdb/

Package: gdb
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: libc-dbg,
            gdbserver [amd64 armel armhf arm64 i386 ia64 m32r m68k mips mipsel powerpc powerpcspe ppc64 ppc64el s390 s390x x32]
Suggests: gdb-doc
Conflicts: gdb
Replaces: gdb
Description: GNU Debugger
 GDB is a source-level debugger, capable of breaking programs at
 any specific line, displaying variable values, and determining
 where errors occurred. Currently, gdb supports C, C++, D,
 Objective-C, Fortran, Java, OpenCL C, Pascal, assembly, Modula-2,
 Go, and Ada. A must-have for any serious programmer.

Package: gdb-minimal
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: gdb
Conflicts: gdb
Replaces: gdb
Description: GNU Debugger (minimal version)
 GDB is a source-level debugger, capable of breaking programs at
 any specific line, displaying variable values, and determining
 where errors occurred. Currently, gdb supports C, C++, D,
 Objective-C, Fortran, Java, OpenCL C, Pascal, assembly, Modula-2,
 Go, and Ada. A must-have for any serious programmer.
 .
 This package contains a minimal version of GDB with optional features
 disabled.

Package: gdb64
Architecture: i386 powerpc s390 sparc
Replaces: gdb-multiarch (<< 7.6-1)
Depends: gdb (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: GNU Debugger (64-bit)
 GDB is a source-level debugger, capable of breaking programs at
 any specific line, displaying variable values, and determining
 where errors occurred. Currently, gdb supports C, C++, D,
 Objective-C, Fortran, Java, OpenCL C, Pascal, assembly, Modula-2,
 Go, and Ada. A must-have for any serious programmer.
 .
 This package contains a version of GDB compiled for a 64-bit variant
 of its architecture.

Package: gdb-multiarch
Architecture: any
Depends: gdb (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: GNU Debugger (with support for multiple architectures)
 GDB is a source-level debugger, capable of breaking programs at
 any specific line, displaying variable values, and determining
 where errors occurred. Currently, gdb supports C, C++, D,
 Objective-C, Fortran, Java, OpenCL C, Pascal, assembly, Modula-2,
 Go, and Ada. A must-have for any serious programmer.
 .
 This package contains a version of GDB which supports multiple
 target architectures.

Package: gdbserver
Architecture: amd64 armel armhf arm64 i386 ia64 m32r m68k mips mipsel powerpc powerpcspe ppc64 ppc64el s390 s390x x32
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: gdb (<< 7.0.1-1)
Description: GNU Debugger (remote server)
 GDB is a source-level debugger, capable of breaking programs at
 any specific line, displaying variable values, and determining
 where errors occurred. Currently, gdb supports C, C++, D,
 Objective-C, Fortran, Java, OpenCL C, Pascal, assembly, Modula-2,
 Go, and Ada. A must-have for any serious programmer.
 .
 This package contains gdbserver.  Install this to debug remotely
 from another system where GDB is installed.

Package: gdb-source
Architecture: all
Depends: ${misc:Depends}
Description: GNU Debugger (source)
 GDB is a source-level debugger, capable of breaking programs at
 any specific line, displaying variable values, and determining
 where errors occurred. Currently, gdb supports C, C++, D,
 Objective-C, Fortran, Java, OpenCL C, Pascal, assembly, Modula-2,
 Go, and Ada. A must-have for any serious programmer.
 .
 This package contains the sources and patches which are needed
 to build GDB.

Package: gdb-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}
Description: GNU Debugger (debug package)
 GDB is a source-level debugger, capable of breaking programs at
 any specific line, displaying variable values, and determining
 where errors occurred. Currently, gdb supports C, C++, D,
 Objective-C, Fortran, Java, OpenCL C, Pascal, assembly, Modula-2,
 Go, and Ada. A must-have for any serious programmer.
 .
 This package contains the detached debugging symbols for the GNU
 GDB.

## gdb 7.8

=== debian/changelog ===
gdb (7.8-1ubuntu4) utopic; urgency=medium

  * Make gdb Multi-Arch: allowed again.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 09 Oct 2014 08:23:49 +0200

gdb (7.8-1ubuntu3) utopic; urgency=medium

  * Add build dependencies for the gdb-doc package.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Oct 2014 18:20:50 +0200

gdb (7.8-1ubuntu2) utopic; urgency=medium

  * Drop build dependency on gccgo (universe).

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Oct 2014 17:48:27 +0200

gdb (7.8-1ubuntu1) utopic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from the upstream sources.
    - Build the gdb-doc package.
    - Include the man pages in the gdb package.
    - Build-depend on gcj-jdk.
    - Drop build dependency on python-dev.
    - Additional patches branch-updates, gdb-strings, ptrace-error-verbosity,
      ppc64el-gdbserver, ppc64el-attach-jvm.
  * Don't build a gdb-python2 package.
  * Configure with babeltrace on ppc64 and ppc64el.
  * gdb: Add a replaces to gdb-doc, which used to ship the manual pages.
    LP: #1370690.
  * Build-depend on gccgo to run the Go tests during the build.
  * Again, stop building the gdb-minimal package, not used anymore on any
    image.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Oct 2014 13:04:14 +0200

gdb (7.8-1) experimental; urgency=medium

  [ Samuel Bronson ]
  * d/sanitize-gdb.sh: Don't assume input is .tar.bz2
  * Imported Upstream version 7.8
    - GDB 7.8 brings new targets, features and improvements, including:
      * Guile scripting support. [Not enabled for Debian!]
      * Python scripting enhancements.
      * New commands:
        ** guile
        ** guile-repl
        ** info auto-load guile-scripts [REGEXP]
      * New options:
        ** maint ada set ignore-descriptive-types (on|off)
        ** maint set target-async (on|off)
        ** set|show auto-load guile-scripts (on|off)
        ** set|show auto-connect-native-target
        ** set|show guile print-stack (none|message|full)
        ** set|show mi-async (on|off)
        ** set|show print symbol-loading (off|brief|full)
        ** set|show record btrace replay-memory-access (read-only|read-write)
      * Deprecated commands:
        ** "dll-symbols" and its two aliases ("add-shared-symbol-files" and
           "assf"). Use the "sharedlibrary" command instead.
        ** "set|show remotebaud". Use "set|show serial baud" instead.
      * Remote Protocol:
        ** The qXfer:btrace:read packet supports a new annex 'delta'.
      * GDB/MI:
        ** A new option "-gdb-set mi-async" replaces "-gdb-set target-async".
      * New target configurations:
        ** PowerPC64 GNU/Linux little-endian       powerpc64le-*-linux*
      * btrace enhancements:
         ** The btrace record target now supports the 'record goto' command.
         ** The btrace record target supports limited reverse execution and
            replay.
      * ISO C99 variable length automatic arrays support.
      * It is no longer required to "set target-async on" in order to use
        background execution commands (e.g., "c&", "s&", etc.).
      * "catch syscall" now implemented on s390*-linux* targets.
      * The "compare-sections" command now works on all targets.
      * The "target native" command now connects to the native target, and
        can be used to launch native programs, even if "set
        auto-connect-native-target" is set to off.
  * debian/patches: Update for new upstream version
    - Remove patches subsumed by new upstream version/tarball:
      + ppc64le.diff
      + hurd-new-RPC-reply-stub-functions.patch
      + hurd-adapt-to-changed-MIG-output.patch
      + hurd-adjust-to-startup-with-shell-changes.patch
      + hurd-make-MIG-output-parsing-more-robust.patch
      + kfreebsd_bug752390.diff
      + restore-run.1.patch
    - Adjust patches to work with new upstream version:
      + gdb-fortran-main.patch: Update for upstream changes
      + python-config.patch: Remove parts applied upstream

  [ Héctor Orón Martínez ]
  * Switch gdb to python3 (Closes: #752581)
    + Add gdb-python2 package for use with python2-only scripts
  * Enable babeltrace on supported arches

  [ Samuel Bronson ]
  * Make gdb-python2 provide gdb.
  * Totally rewrite the NEWS entry about the Python changes.
    + And split out most of the new text to README.python_switch.

 -- Samuel Bronson <naesten@gmail.com>  Tue, 26 Aug 2014 15:34:03 -0400

gdb (7.8-0ubuntu2) utopic; urgency=medium

  * Update gdb from the 7.8 release branch.
    - Fix regression for Linux vDSO in GDB (PR gdb/17407).
    - Fix regression, GDB stopped on run with attached process (PR gdb/17347).
    - Fix PR guile/17367, PR guile/17247.
    - Fix crash on Python frame filters with unreadable arg.
    - Fix xmethod Python so that it works with Python3.
    - Fix 'gcore' with exited threads.
    - Fix Fix build/17104, build configured with --with-babeltrace.
    - Aarch64: Make CPSR a 32-bit register again in the target description.
  * Build-depend on binutils 2.24.51.20141001 for running the tests.
    LP: #1365664.
  * Fix gdbserver conditionals on ppc64le. LP: #1367832.
  * Fix attaching to a java process on ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 01 Oct 2014 22:41:51 +0200

gdb (7.8-0ubuntu1) utopic; urgency=medium

  * gdb-7.8 release.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 31 Jul 2014 21:54:05 +0200

gdb (7.7.91.20140723-0ubuntu1) utopic; urgency=medium

  * Snapshot, taken from the 7.8 branch.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 23 Jul 2014 16:01:10 +0200

gdb (7.7.1-0ubuntu5) utopic; urgency=medium

  * Fix regression introduced in previous upload, again supporting
    powerpc64le in the multilib build. LP: #1233185.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 23 Jul 2014 15:19:13 +0200

gdb (7.7.1-0ubuntu4) utopic; urgency=medium

  [ Martin Pitt ]
  * debian/rules: Revert configuring with "MULTIARCH_TARGET=all" and go back


=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: gdb
-Maintainer: Héctor Orón Martínez <zumbi@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Héctor Orón Martínez <zumbi@debian.org>
 Uploaders: Luca Bruno <lucab@debian.org>, Samuel Bronson <naesten@gmail.com>
 Section: devel
 Priority: optional
@@ -19,9 +20,9 @@
                flex | flex-old,
                procps,
                g++-multilib [i386 powerpc s390 sparc],
-# Do we really care that much about running the Java tests?
-#               gcj-jdk | gcj,
+               gcj-jdk,
                gobjc,
+#               gccgo,
                mig [hurd-any],
 # TeX[info] deps
                texinfo (>= 4.7-2.2),
@@ -32,47 +33,33 @@
                libreadline-dev, lib64readline6-dev [i386 powerpc s390 sparc],
                zlib1g-dev,
                liblzma-dev,
-# babeltrace doesn't build for hurd yet :-(
-#               libbabeltrace-dev,
-#               libbabeltrace-ctf-dev,
-               python-dev,
+               libbabeltrace-dev [amd64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64 ppc64el s390x],
+               libbabeltrace-ctf-dev [amd64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64 ppc64el s390x],
+               python3-dev,
                libkvm-dev [kfreebsd-any],
                libunwind7-dev [ia64],
+# gdb-doc
+               texlive-latex-base, texlive-fonts-recommended, cm-super,
 Vcs-Git: git://anonscm.debian.org/pkg-gdb/gdb.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gdb/gdb.git
 Homepage: http://www.gnu.org/s/gdb/
 
 Package: gdb
 Architecture: any
+Multi-Arch: allowed
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Recommends: libc-dbg,
             gdbserver [amd64 armel armhf arm64 i386 ia64 m32r m68k mips mipsel powerpc powerpcspe ppc64 ppc64el s390 s390x x32]
 Suggests: gdb-doc
 Conflicts: gdb
-Replaces: gdb
+Replaces: gdb, gdb-doc (<< 7.8-1~)
 Description: GNU Debugger
  GDB is a source-level debugger, capable of breaking programs at
  any specific line, displaying variable values, and determining
  where errors occurred. Currently, gdb supports C, C++, D,
  Objective-C, Fortran, Java, OpenCL C, Pascal, assembly, Modula-2,
  Go, and Ada. A must-have for any serious programmer.
-
-Package: gdb-minimal
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Provides: gdb
-Conflicts: gdb
-Replaces: gdb
-Description: GNU Debugger (minimal version)
- GDB is a source-level debugger, capable of breaking programs at
- any specific line, displaying variable values, and determining
- where errors occurred. Currently, gdb supports C, C++, D,
- Objective-C, Fortran, Java, OpenCL C, Pascal, assembly, Modula-2,
- Go, and Ada. A must-have for any serious programmer.
- .
- This package contains a minimal version of GDB with optional features
- disabled.
 
 Package: gdb64
 Architecture: i386 powerpc s390 sparc
@@ -132,7 +119,7 @@
 Section: debug
 Priority: extra
 Architecture: any
-Depends: ${misc:Depends}
+Depends: gdb (= ${binary:Version}), ${misc:Depends}
 Description: GNU Debugger (debug package)
  GDB is a source-level debugger, capable of breaking programs at
  any specific line, displaying variable values, and determining
@@ -142,3 +129,18 @@
  .
  This package contains the detached debugging symbols for the GNU
  GDB.
+
+Package: gdb-doc
+Architecture: all
+Section: doc
+Depends: ${misc:Depends}
+Breaks: gdb (<< 7.8), gdbserver (<< 7.8)
+Replaces: gdb (<< 7.8), gdbserver (<< 7.8)
+Description: The GNU Debugger Documentation
+ GDB is a source-level debugger, capable of breaking programs at
+ any specific line, displaying variable values, and determining
+ where errors occurred. Currently, it works for C, C++, Fortran,
+ Modula 2 and Java programs. A must-have for any serious
+ programmer.
+ .
+ This package contains the GDB manual.

=== debian/rules ===
--- 
+++ 
@@ -108,6 +108,10 @@
   arch_config_args := --with-libunwind-ia64
 endif
 
+ifneq (,$(filter $(DEB_HOST_ARCH),amd64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390x))
+  arch_config_args += --with-babeltrace
+endif
+
 ifdef GDB_TARGET
   run_tests := no
 
@@ -129,19 +133,17 @@
 	--srcdir=$(shell pwd) \
 	--disable-readline --with-system-readline --with-expat \
 	--without-zlib --without-lzma \
-	--without-guile \
+	--without-guile --without-babeltrace \
 	$(arch_config_args) --build=$(DEB_BUILD_GNU_TYPE)
 
 # Debian does not include 64-bit Python packages, so --with-python
 # is here rather than in EXTRA_FLAGS.
 DEB_CONFIGURE_EXTRA_FLAGS := --host=$(DEB_HOST_GNU_TYPE) $(EXTRA_FLAGS) \
-	--enable-tui --with-python=python2 --without-babeltrace \
-	--with-zlib --with-lzma
-# --with-babeltrace
+	--enable-tui --with-zlib --with-lzma --with-python=python3
 
 # 64-bit flags
 DEB_CONFIGURE_FLAGS_64 := --host=$(HOST64) $(EXTRA_FLAGS) \
-	--enable-tui
+	--enable-tui --without-babeltrace
 
 # multiarch targets; this is taken from the binutils-multiarch package but
 # doesn't seem like a terribly nice list; see
@@ -163,7 +165,8 @@
 	mips64el-linux-gnu \
 	powerpc-linux-gnu \
 	powerpc-linux-gnuspe \
-	ppc64-linux-gnu \
+	powerpc64le-linux-gnu \
+	powerpc64-linux-gnu \
 	s390-linux-gnu \
 	s390x-linux-gnu \
 	sh-linux-gnu \
@@ -171,8 +174,7 @@
 	sparc-linux-gnu \
 	sparc64-linux-gnu \
 	x86_64-linux-gnu \
-	m32r-linux-gnu \
-	spu
+	m32r-linux-gnu
 
 # broken, see https://launchpad.net/bugs/1233185
 #MULTIARCH_TARGETS := all
@@ -204,6 +206,9 @@
 	$(MAKE) -C $(DEB_BUILDDIR) info
 	$(MAKE) -C $(DEB_BUILDDIR)/gdb/doc refcard.dvi refcard.ps
 
+build/gdb-doc:: check-stamp
+	$(MAKE) -C $(DEB_BUILDDIR)/gdb/doc pdf html
+
 build/gdb64:: build64-stamp
 build64-stamp:
 	mkdir -p $(BUILDDIR64)
@@ -249,10 +254,3 @@
 
 	# Prevent gratuitous rebuilds of the BFD documentation, since it
 	# updates the copy in the source directory.
-	find bfd -name bfd.info\* | xargs --no-run-if-empty touch
-
-binary-post-install/gdb$(TS) ::
-	if [ -x debian/tmp/usr/bin/run ]; then				\
-		mv debian/tmp/usr/bin/run					\
-		  debian/gdb$(TS)/usr/bin/$(DEB_TARGET_ALIAS)-run;		\
-		mv debian/tmp/usr/share/man/man1/run.1			\
